libzypp: zypp::kvmap::KVMapPolicy Struct Reference

libzypp 17.25.10

Public Member Functions | Public Attributes | List of all members
zypp::kvmap::KVMapPolicy Struct Reference

KVMapPolicy for conversion of KVMaps to/from string. More...

`#include <KVMap.h>`

Inheritance diagram for zypp::kvmap::KVMapPolicy:
[legend]

## Public Member Functions
| KVMapPolicy (const std::string &kvsplit_r, const std::string &fsplit_r)
| KVMapPolicy (const std::string &kvsplit_r, const std::string &fsplit_r, const std::string &kvjoin_r)
| KVMapPolicy (const std::string &kvsplit_r, const std::string &fsplit_r, const std::string &kvjoin_r, const std::string &fjoin_r)

## Public Attributes
std::string | _kvsplit
std::string | _fsplit
std::string | _kvjoin
std::string | _fjoin

## Detailed Description

KVMapPolicy for conversion of KVMaps to/from string.

_kvsplit: The string separating key from value

_fsplit: (key,value) pairs are separated by any nonempty sequence of characers occurring in _fsplit

_kvjoin: The string used to join key and value.

_fjoin: The string used to separate (key,value) pairs.

TODO: Maybe options for exact _fsplit handling and timming of values.

Definition at line 51 of file KVMap.h.

## Constructor & Destructor Documentation

## ◆ KVMapPolicy() [1/3]

zypp::kvmap::KVMapPolicy::KVMapPolicy | ( | const std::string & | kvsplit_r,
|  | const std::string & | fsplit_r
| ) |  |
| inline

Definition at line 56 of file KVMap.h.

## ◆ KVMapPolicy() [2/3]

zypp::kvmap::KVMapPolicy::KVMapPolicy | ( | const std::string & | kvsplit_r,
|  | const std::string & | fsplit_r,
|  | const std::string & | kvjoin_r
| ) |  |
| inline

Definition at line 62 of file KVMap.h.

## ◆ KVMapPolicy() [3/3]

zypp::kvmap::KVMapPolicy::KVMapPolicy | ( | const std::string & | kvsplit_r,
|  | const std::string & | fsplit_r,
|  | const std::string & | kvjoin_r,
|  | const std::string & | fjoin_r
| ) |  |
| inline

Definition at line 69 of file KVMap.h.

## Member Data Documentation

## ◆ _kvsplit

std::string zypp::kvmap::KVMapPolicy::_kvsplit

Definition at line 52 of file KVMap.h.

## ◆ _fsplit

std::string zypp::kvmap::KVMapPolicy::_fsplit

Definition at line 53 of file KVMap.h.

## ◆ _kvjoin

std::string zypp::kvmap::KVMapPolicy::_kvjoin

Definition at line 54 of file KVMap.h.

## ◆ _fjoin

std::string zypp::kvmap::KVMapPolicy::_fjoin

Definition at line 55 of file KVMap.h.

The documentation for this struct was generated from the following file:

- zypp/KVMap.h